Jump to: navigation, search

Difference between revisions of "EGF Installation"

(23 intermediate revisions by the same user not shown)
Line 1: Line 1:
'''''EGF 0.2.3'''''<br>
+
=== '''Installation of EGF 1.0.0<br>''' ===
  
*'''Installation''':
+
#Eclipse version: Juno (Eclipse 3.8)
 +
#Download EGF:
 +
#*by Eclipse update site
 +
#*or directly [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_1.0.0RC2/org.eclipse.egf_1.0.0.v20120528-1601.zip here] for downloading the EGF dropins, update site, and additional EGF portfolios elements (Acceleo, ATL, ecoretools activities)<br>
 +
#[http://code.google.com/a/eclipselabs.org/p/egf-portfolio/ EGF Portfolio] on Eclipse Labs: [http://code.google.com/a/eclipselabs.org/p/egf-portfolio/downloads/detail?name=org.eclipselabs.egf.portfolio.acceleo2_0.5.0RC1.v20110513-1027-incubation.zip Acceleo 2], [http://code.google.com/a/eclipselabs.org/p/egf-portfolio/downloads/detail?name=org.eclipselabs.egf.portfolio.task.jython_0.5.0RC1.v20110513-1027-incubation.zip Jython], [http://code.google.com/a/eclipselabs.org/p/egf-portfolio/downloads/detail?name=org.eclipselabs.egf.portfolio.task.ruby_0.5.0RC1.v20110513-1027-incubation.zip JRuby]
 +
#[[Image:EGF Warning.gif]] Required components: [http://www.eclipse.org/modeling/m2t/downloads/?project=jet Jet] when using Jet Patterns
 +
#[[EGF Migration|Migration]]
  
#Prerequisite: installation of Eclipse 3.5.1 or Eclipse 3.5.2, including EMF and Jet
+
<br> '''''Previous versions''''':&nbsp;[http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.6.1/org.eclipse.egf_0.6.1.v20120202-0918.zip 0.6.1], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.6.0/org.eclipse.egf.sdk_0.6.0.v20110922-1750-incubation.zip 0.6.0], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.5.0/org.eclipse.egf.sdk_0.5.0.v20110608-1746-incubation.zip 0.5.0], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.5.0RC1/org.eclipse.egf.sdk_0.5.0RC1.v20110513-1027-incubation.zip 0.5.0RC1], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.5.0M6/org.eclipse.egf.sdk_0.5.0M6.v20110316-1627-incubation.zip EGF 0.5.0M6], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.4.1/org.eclipse.egf.sdk_0.4.1.v20110107-1512-incubation.zip EGF&nbsp;0.4.1], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.4.0/org.eclipse.egf.sdk_0.4.0.v20101217-1649-incubation.zip EGF&nbsp;0.4.0], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.3.0/org.eclipse.egf.sdk_0.3.0.v20101019-1237-incubation.zip EGF&nbsp;0.3.0], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/org.eclipse.egf.sdk_0.2.5.v20100624-1357.zip EGF&nbsp;0.2.5], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/org.eclipse.egf.sdk_0.2.4.201005071720.zip EGF&nbsp;0.2.4], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.2.3.201003081742.zip EGF&nbsp;0.2.3], [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.2.2.201002190937.zip EGF&nbsp;0.2.2], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.2.1.201001081059.zip EGF&nbsp;0.2.1], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.2.0_200912161738.zip EGF&nbsp;0.2.0], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.1.0_200909171518.zip EGF 0.1.0]
#Download [http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.2.3.201003081742.zip EGF&nbsp;0.2.3]  
+
#Unzip EGF in the dropins directory
+
 
+
*'''Tutorials''':
+
 
+
#Help, EGF Guide, section Tutorials
+
#[http://wiki.eclipse.org/EGF_Tutorial_and_Use_Cases Wiki&nbsp;Tutorial]
+
 
+
<br>
+
 
+
'''''Previous versions''''':&nbsp;[http://www.eclipse.org/downloads/download.php?file=/egf/tool/egf_0.2.2.201002190937.zip EGF&nbsp;0.2.2], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.2.1.201001081059.zip EGF&nbsp;0.2.1], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.2.0_200912161738.zip EGF&nbsp;0.2.0], [http://www.eclipse.org/downloads/download.php?file=/egf/egf_0.1.0_200909171518.zip EGF 0.1.0]
+

Revision as of 02:27, 27 June 2012

Installation of EGF 1.0.0

  1. Eclipse version: Juno (Eclipse 3.8)
  2. Download EGF:
    • by Eclipse update site
    • or directly here for downloading the EGF dropins, update site, and additional EGF portfolios elements (Acceleo, ATL, ecoretools activities)
  3. EGF Portfolio on Eclipse Labs: Acceleo 2, Jython, JRuby
  4. EGF Warning.gif Required components: Jet when using Jet Patterns
  5. Migration


Previous versions0.6.1, 0.6.0, 0.5.0, 0.5.0RC1, EGF 0.5.0M6, EGF 0.4.1, EGF 0.4.0, EGF 0.3.0, EGF 0.2.5, EGF 0.2.4, EGF 0.2.3, EGF 0.2.2, EGF 0.2.1, EGF 0.2.0, EGF 0.1.0